Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase Class Reference

Doctrine database based Language Gateway. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new Doctrine database Section Gateway. More...
| insertLanguage (Language $language)
| Inserts the given $language. More...
| updateLanguage (Language $language)
| Updates the data of the given $language. More...
| loadLanguageListData (array $ids)
  | {Loads data list for the Language with $ids. Parameters
  int[] | $ids |
Returns string[][]|iterable } More...
| loadLanguageListDataByLanguageCode (array $languageCodes)
  | {Loads data list for Languages by $languageCodes (eg: eng-GB). Parameters
  string[] | $languageCodes |
Returns string[][]|iterable } More...
| loadAllLanguagesData ()
| Loads the data for all languages. More...
| deleteLanguage ($id)
| Deletes the language with $id. More...
| canDeleteLanguage ($id)
| Check whether a language may be deleted. More...

## Protected Member Functions
| setCommonLanguageColumns (Query $query, Language $language)
| Sets columns in $query from $language. More...
| createFindQuery ()
| Creates a Language find query. More...

## Protected Attributes
| $dbHandler
| $connection

## Detailed Description

Doctrine database based Language Gateway.

Definition at line 20 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new Doctrine database Section Gateway.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 43 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\$dbHandler.

## Member Function Documentation

## ◆ canDeleteLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::canDeleteLanguage | ( |  | $id | ) |

Check whether a language may be deleted.

Parameters

  int | $id |

Returns
  bool

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 215 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

## ◆ createFindQuery()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::createFindQuery | ( |  | ) |
| protected

Creates a Language find query.

Definition at line 166 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\loadAllLanguagesData(), eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\loadLanguageListData(), and eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\loadLanguageListDataByLanguageCode().

## ◆ deleteLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::deleteLanguage | ( |  | $id | ) |

Deletes the language with $id.

Parameters

  int | $id |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 193 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

## ◆ insertLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::insertLanguage | ( | Language | $language | ) |

Inserts the given $language.

Parameters

  Language | $language |

Returns
  int ID of the new language

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 56 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\setCommonLanguageColumns().

## ◆ loadAllLanguagesData()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::loadAllLanguagesData | ( |  | ) |

Loads the data for all languages.

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 181 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\createFindQuery().

## ◆ loadLanguageListData()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::loadLanguageListData | ( | array | $ids | ) |

{Loads data list for the Language with $ids.

Parameters

  int[] | $ids |

Returns
  string[][]|iterable

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 140 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\createFindQuery().

## ◆ loadLanguageListDataByLanguageCode()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::loadLanguageListDataByLanguageCode | ( | array | $languageCodes | ) |

{Loads data list for Languages by $languageCodes (eg: eng-GB).

Parameters

  string[] | $languageCodes |

Returns
  string[][]|iterable

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 153 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\createFindQuery().

## ◆ setCommonLanguageColumns()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::setCommonLanguageColumns | ( | Query | $query,
|  | Language | $language
| ) |  |
| protected

Sets columns in $query from $language.

Parameters

  \eZ\Publish\Core\Persistence\Database\Query | $query |
  \eZ\Publish\SPI\Persistence\Content\Language | $language |

Definition at line 97 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\insertLanguage(), and eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\updateLanguage().

## ◆ updateLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::updateLanguage | ( | Language | $language | ) |

Updates the data of the given $language.

Parameters

  Language | $language |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 120 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\setCommonLanguageColumns().

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::$connection
| protected

Definition at line 36 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase::$dbHandler
| protected

Definition at line 29 of file Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\DoctrineDatabase\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Language/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.